com.trilead.ssh2.channel

## Class LocalAcceptThread

- java.lang.Object
- - java.lang.Thread
  - - com.trilead.ssh2.channel.LocalAcceptThread

All Implemented Interfaces:
  java.lang.Runnable

    public class LocalAcceptThread
    extends java.lang.Thread

LocalAcceptThread.

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Thread

`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

### Field Summary

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

### Constructor Summary

Constructors
Constructor and Description
`LocalAcceptThread(ChannelManager cm, java.net.InetSocketAddress localAddress, java.lang.String host_to_connect, int port_to_connect)`
`LocalAcceptThread(ChannelManager cm, int local_port, java.lang.String host_to_connect, int port_to_connect)`

### Method Summary

Methods
`void` `run()`
`void` `stopWorking()`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LocalAcceptThread

    public LocalAcceptThread(ChannelManager cm,
                     int local_port,
                     java.lang.String host_to_connect,
                     int port_to_connect)
                      throws java.io.IOException

Throws:
  `java.io.IOException`

#### LocalAcceptThread

    public LocalAcceptThread(ChannelManager cm,
                     java.net.InetSocketAddress localAddress,
                     java.lang.String host_to_connect,
                     int port_to_connect)
                      throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `java.lang.Runnable`
Overrides:
  `run` in class `java.lang.Thread`

#### stopWorking

    public void stopWorking()